aboutsummaryrefslogtreecommitdiff
path: root/contrib/bsddialog/examples_utility/mixedform.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/bsddialog/examples_utility/mixedform.sh')
-rwxr-xr-xcontrib/bsddialog/examples_utility/mixedform.sh34
1 files changed, 28 insertions, 6 deletions
diff --git a/contrib/bsddialog/examples_utility/mixedform.sh b/contrib/bsddialog/examples_utility/mixedform.sh
index 6677c20781ad..6b690e7e5b8c 100755
--- a/contrib/bsddialog/examples_utility/mixedform.sh
+++ b/contrib/bsddialog/examples_utility/mixedform.sh
@@ -3,13 +3,35 @@
# SPDX-License-Identifier: CC0-1.0
#
# Written in 2021 by Alfonso Sabato Siciliano.
+#
# To the extent possible under law, the author has dedicated all copyright
# and related and neighboring rights to this software to the public domain
# worldwide. This software is distributed without any warranty, see:
-# <http://creativecommons.org/publicdomain/zero/1.0/>.
+# <http://creativecommons.org/publicdomain/zero/1.0/>.
+
+: ${BSDDIALOG_ERROR=255}
+: ${BSDDIALOG_OK=0}
+: ${BSDDIALOG_CANCEL=1}
+: ${BSDDIALOG_ESC=5}
+
+FORMS=$(./bsddialog --insecure --title " mixedform " \
+ --mixedform "Hello World!" 12 40 3 \
+ Label: 0 0 Entry 0 10 18 25 0 \
+ Label: 1 0 Read-Only 1 10 18 25 2 \
+ Password: 2 0 "" 2 10 18 25 1 \
+3>&1 1>&2 2>&3 3>&-)
-./bsddialog --insecure --title " mixedform " --mixedform "Hello World!" 12 40 5 \
- Label: 1 1 Entry 1 11 18 25 0 \
- Label: 2 1 Read-Only 2 11 18 25 2 \
- Password: 3 1 Value2 3 11 18 25 1 \
- 2>out.txt ; cat out.txt ; rm out.txt
+case $? in
+ $BSDDIALOG_ERROR )
+ exit 1
+ ;;
+ $BSDDIALOG_ESC )
+ echo "[ESC]"
+ ;;
+ $BSDDIALOG_CANCEL )
+ echo "[Cancel]"
+ ;;
+ $BSDDIALOG_OK )
+ echo "[OK] $FORMS"
+ ;;
+esac